<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/producto.php';
require '../../modelo/wishlist.php';
require '../../modelo/precio.php';
require '../../modelo/odoo_producto.php';
require '../../modelo/odoo_lista_precio.php';
require '../../modelo/subcategoria.php';
require '../../modelo/producto_variacion.php';
require '../usuario/decodeUsuario.php';

$response = array();
$filtros = array();

if (
    !isset($_POST['subcategoria']) ||
    !isset($_POST['categoria'])
) {
    $response['response'] = 'error';
    $response['data'] = 'No se ha enviado la subcategoria';
    echo json_encode($response);
    return;
}

$url_servidor = Environment::getUrlServidor();
$categoria = $_POST['categoria'];
$subcategoria = $_POST['subcategoria'];

// Obtenemos el id de la subcategoría para obtener su información

$subcategoria_info = Subcategoria::mdlGetSubcategoriaByNombres(
    $categoria,
    $subcategoria
);

$subcategoria_info['imagen'] = $url_servidor . $subcategoria_info['imagen'];

$response['response'] = 'success';
$response['subcategoria'] = $subcategoria_info;

echo json_encode($response);
